Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class InconsistentStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.security.InconsistentStateException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class InconsistentStateException

extends ApplicationException

Thrown to signify that the KeyFactory has not been initialized with a password.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`InconsistentStateException(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`InconsistentStateException(String namespace, String messageKey, Exception exception)` Deprecated See BEA Commerce product offering
`InconsistentStateException(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`InconsistentStateException(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`InconsistentStateException(String namespace, String messageKey, Object[] arguments, Exception exception)` Deprecated See BEA Commerce product offering
`InconsistentStateException(String namespace, String messageKey, Object argument, Exception exception)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey,
                                      Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey,
                                      Object argument)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey,
                                      Object argument,
                                      Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey,
                                      Object[] arguments)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### InconsistentStateException

    public InconsistentStateException(String namespace,
                                      String messageKey,
                                      Object[] arguments,
                                      Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved